Subject: bug#59882: Multiple versions of Org in load-path problem

From: Max Nikulin <[email-masked]>
Date: Wed, 14 Dec 2022 23:02:53 +0700

On 14/12/2022 21:35, Stefan Monnier wrote:
> 
>>      Like I said in another message that I sent just before receiving yours
>>      my conclusion came from the fact that hitting 'C-h v' with the cursor
>>      on 'org-goto-interface' provided nothing.  It was the first time this
>>      ever happened to me.  I did try to explicitly enter the variable's
>>      name by entering 'org-goto<TAB>', which (like 'org-go<TAB>') is not
>>      enough: it is completed to 'org--goto'.
> 
> AFAICT this is a missing feature: we obey `help-enable-autoload` in
> `describe-function` but we fail to do the same autoloading dance in
> `describe-variable`.

I think, the difference is interactive vs. non-interactive calls rather 
than `describe-function' vs. `describe-variable'. What misses this 
feature is `customize-variable'.

Completion failure for "org-to" happened because result of 
`register-definition-prefixes' calls is not considered as options. I am 
aware that it may give false positives, but I still believe they should 
be added.

Though I believe that org mixed version issue happens due to 
transitional dependency of some third party package on org or something 
like (require 'org-protocol) that can not be loaded on demand.